#!/bin/sh
cat << EOF > ~/env.yml
define_macro:
  HOSTNAME: $HOSTNAME
  IP_ADDRESS: $IP_ADDRESS
  IRCDOMAIN:
    irc.$HOSTNAME:
       password: $IRCPASS
  WS_URL: "ws://$HOSTNAME:5280/websocket"
  ACL_ORIGIN: "https://$HOSTNAME"
  PUT_URL: "https://$HOSTNAME:5443/upload"
EOF
cat ~/env.yml

# Run ejabberdctl as done in the original entrypoint from the dockerfile
/home/ejabberd/bin/ejabberdctl "$@"
